﻿using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;

namespace FeatureGuide
{
    class DocumentExtraction
    {
        public readonly string apiKey = "your_api_key";
        public readonly string apiUrl = "https://sandbox.esignlive.com/api";


        public void Execute() {

            EslClient eslClient = new EslClient(apiKey, apiUrl);

            DocumentPackage superDuperPackage = PackageBuilder.NewPackageNamed("Test Document Extraction")
                    .WithSigner(SignerBuilder.NewSignerWithEmail("signer.email@example.com")
                            .WithCustomId("Signer1")
                            .WithFirstName("John")
                            .WithLastName("Smith"))
                    .WithDocument(DocumentBuilder.NewDocumentNamed("testDocumentExtraction")
                            .FromFile("path_to_pdf")
                            .EnableExtraction())
                    .Build();

            PackageId packageId = eslClient.CreatePackageOneStep(superDuperPackage);
            eslClient.SendPackage(packageId);

        }
    }
}
